GDB (xrefs)

Public Attributes | List of all members
lazy_string_object Struct Reference

## Public Attributes
PyObject_HEAD CORE_ADDR | address
char * | encoding
long | length
PyObject * | type

## Detailed Description

Definition at line 27 of file py-lazy-string.c.

## Member Data Documentation

## ◆ address

PyObject_HEAD CORE_ADDR lazy_string_object::address

Definition at line 31 of file py-lazy-string.c.

Referenced by gdbpy_create_lazy_string_object(), gdbpy_extract_lazy_string(), stpy_convert_to_value(), and stpy_get_address().

## ◆ encoding

char* lazy_string_object::encoding

Definition at line 37 of file py-lazy-string.c.

Referenced by gdbpy_create_lazy_string_object(), gdbpy_extract_lazy_string(), stpy_dealloc(), and stpy_get_encoding().

## ◆ length

long lazy_string_object::length

Definition at line 44 of file py-lazy-string.c.

Referenced by gdbpy_create_lazy_string_object(), gdbpy_extract_lazy_string(), stpy_convert_to_value(), and stpy_get_length().

## ◆ type

PyObject* lazy_string_object::type

Definition at line 53 of file py-lazy-string.c.

Referenced by gdbpy_create_lazy_string_object(), stpy_convert_to_value(), stpy_get_type(), and stpy_lazy_string_elt_type().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-lazy-string.c